<?php

// 日付情報をセット
$year = date('Y');
$month = date('n');
$day = date('d');
$date = array(
    'year' => $year,
    'month' => $month,
    'day' => $day,
);
// 日付情報をThymeleaf に渡す。
$SPIRAL->setTHValue("date", $date);

//当月1日をタイムスタンプとして取得
$unixmonth = mktime(0, 0, 0, $month, 1, $year);

// 曜日情報をセットし、Thymeleaf に渡す。
$week = array('日', '月', '火', '水', '木', '金', '土');
$SPIRAL->setTHValue("week", $week);

// カレンダー用データ生成データ生成
$calendarBoxNum = array();
$boxNum = 1;
$rowNum = 1;

// 当月1日の曜日の番号を取得し、1日以前の日付をマイナスとして扱う
$earlyWeek = - (date('w', mktime(0, 0, 0, $month, 1, $year)) - 1);

// 当月1日の週初めから末日の土曜日まで枠を作る
for ($count = $earlyWeek; $count < 100; $count++) {
    //　1以上 当月数以内であれば配列にセット
    if (1 <= $count && $count <= date('t', $unixmonth)) {
        $calendarBoxNum[$rowNum][] = $count;
    } else {
        //　マイナスなどの月の値でないものは枠を生成
        $calendarBoxNum[$rowNum][] = "";
    }

    // 末日を超えているかつ、末日の土曜日となった場合に終了
    if (date('t') <= $count && ($boxNum % 7) == 0) {
        break;
    }
    // 7 日分のデータがセットされた場合次のボックスへ
    if (($boxNum % 7) == 0) {
        $rowNum++;
    }
    $boxNum++;
}
// カレンダーのデータをThymeleaf に渡す。
$SPIRAL->setTHValue("calendarBoxNum", $calendarBoxNum);
?>